会员对法律文件的接受记录,以及仍待处理的内容
GET
/v1/me/acceptances
const url = 'https://api.vimine.network/v1/me/acceptances?locale=it';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vimine.network/v1/me/acceptances?locale=it' \ --header 'Authorization: Bearer <token>'当事人记录过的每一项接受、阅读确认或同意(账户使用条款、隐私声明、协会面向会员的声明),最新的在前;另附 pending:当事人尚未针对现行版本作出处理的账户层文件和本协会的隐私声明。全文见 GET /v1/legal/{kind} 和 GET /v1/aps/{slug}/privacy-notice。
授权方式
章节“授权方式”参数
章节“参数”查询参数
章节“查询参数”locale
string
响应
章节“响应”200
章节“200”接受记录和待处理的文件
媒体类型application/json
object
items
必填
Array<object>
object
at
必填
string 格式: date-time
action
必填
string
channel
string
kind
必填
string
title
string
version
必填
string
sha256
string
rendered_sha256
实际展示的文本的哈希
string
locale
string
association
该行为所涉及的协会(如有)
string
pending
必填
object
platform
示例
{ "items": [ { "action": "accepted", "channel": "ui" } ], "pending": { "platform": [ { "action": "accepted" } ], "privacy_notice": { "action": "accepted" } }}400
章节“400”请求无效
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}401
章节“401”缺少凭据或凭据无效
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}403
章节“403”无权操作
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}404
章节“404”未找到
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}429
章节“429”已触发速率限制
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章节“500”内部错误
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}